SECIL2TREE(8)

NAME
secil2tree - invoke the SELinux Common Intermediate Language (CIL) AST Writer

SYNOPSIS

secil2tree [OPTION...] file

DESCRIPTION

secil2tree invokes the CIL AST Writer with the specified arguments.

OPTIONS

-o, --output=<file>
    Write AST to file (default: stdout)

-P, --preserve-tunables
    Treat tunables as booleans.

-Q, --qualified-names
    Allow names containing dots (qualified names). Blocks, blockinherits, blockabstracts, and in-statements will not be allowed.

-A, --ast-phase=<phase>
    Write AST of phase phase. Must be parse, build, or resolve. (default: resolve)

-v, --verbose
    Increment verbosity level.

-h, --help
    Display usage information.

SEE ALSO

secilc(8), secil2conf(8)

HTML documentation describing the CIL language statements is available starting with docs/html/index.html.

PDF documentation describing the CIL language statements is available at: docs/pdf/CIL_Reference_Guide.pdf.

AUTHOR

James Carter